mtext_tok(3m17n)

NAME
mtext_tok - Look for a token in an M-text.

SYNOPSIS
MText* mtext_tok (MText * mt, MText * delim, int * pos)

DESCRIPTION
Look for a token in an M-text.

The mtext_tok() function searches a token that firstly occurs after position pos in M-text mt. Here, a token means a substring each of which does not appear in M-text delim. Note that the type of pos is not int but pointer to int.

RETURN VALUE

    If a token is found, mtext_tok() copies the corresponding part of mt and returns a pointer to the copy. In this case, pos is set to the end of the found token. If no token is found, it returns NULL without changing the external variable merror_code. If an error is detected, it returns NULL and assigns an error code to the external variable merror_code.

ERRORS

    MERROR_RANGE

COPYRIGHT
Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2008 National Institute of Advanced Industrial Science and Technology (AIST)
Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License <http://www.gnu.org/licenses/fdl.html>.